package org.bench4q.master.domain;

import java.util.Date;
import java.util.List;
import java.util.Set;
import java.util.UUID;

import org.bench4q.master.domain.entity.TestPlanScriptResult;
import org.bench4q.share.models.agent.RunScenarioModel;

public interface RunningScriptInterface {
	public int getScriptId();

	public UUID getTestPlanID();

	public RunScenarioModel getScenario();

	public void doAfterApplyLoad(
			List<? extends RunningAgentInterface> agentsAfterDistribute);

	public Set<? extends RunningAgentInterface> getRunningAgents();

	public int getRequireLoad();

	public boolean stop();

	public List<TestPlanScriptResult> doAfterRun(Date sampleTime);

	public Date getStartTime();

}
